org.eclipse.jgit.transport

## Interface UploadPack.RequestValidator

All Known Implementing Classes:
  UploadPack.AdvertisedRequestValidator, UploadPack.AnyRequestValidator, UploadPack.ReachableCommitRequestValidator, UploadPack.ReachableCommitTipRequestValidator, UploadPack.TipRequestValidator

Enclosing class:
  UploadPack

    public static interface UploadPack.RequestValidator

Validator for client requests.

Since:
  3.1

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `checkWants(UploadPack up, List<ObjectId> wants)` Check a list of client wants against the request policy.

### Method Detail

#### checkWants

    void checkWants(UploadPack up,
                    List<ObjectId> wants)
             throws PackProtocolException,
                    IOException

Check a list of client wants against the request policy.

Parameters:
  `up` - `UploadPack` instance.
  `wants` - objects the client requested that were not advertised.
Throws:
  `PackProtocolException` - if one or more wants is not valid.
  `IOException` - if a low-level exception occurred.
Since:
  3.1